Bug 1094455 (CVE-2014-0205) - CVE-2014-0205 kernel: futex: refcount issue in case of requeue
Summary: CVE-2014-0205 kernel: futex: refcount issue in case of requeue
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2014-0205
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=important,public=20140909,repo...
Depends On: 1094457 1094458 1094459 1094460 1094461
Blocks: 1094463
TreeView+ depends on / blocked
 
Reported: 2014-05-05 18:02 UTC by Petr Matousek
Modified: 2019-06-08 20:02 UTC (History)
17 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A flaw was found in the way the Linux kernel's futex subsystem handled reference counting when requeuing futexes during futex_wait(). A local, unprivileged user could use this flaw to zero out the reference counter of an inode or an mm struct that backs up the memory area of the futex, which could lead to a use-after-free flaw, resulting in a system crash or, potentially, privilege escalation.
Clone Of:
Environment:
Last Closed: 2014-10-07 11:50:44 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1167 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-09-09 21:55:48 UTC
Red Hat Product Errata RHSA-2014:1365 normal SHIPPED_LIVE Important: kernel security and bug fix update 2014-10-07 20:31:42 UTC
Red Hat Product Errata RHSA-2014:1763 normal SHIPPED_LIVE Important: kernel security update 2014-10-30 21:22:14 UTC

Description Petr Matousek 2014-05-05 18:02:25 UTC
A flaw was found in the way the Linux kernel's futex subsystem handled
reference counting in case of futex requeue during futex_wait().

An unprivileged local user could use this flaw to crash the system or,
potentially, escalate their privileges on the system by overputting 
reference counter on either inode or mm that backs up the memory area of
the futex, leading to use-after-free.

References:
https://lkml.org/lkml/2010/9/16/99

Upstream fix:
http://git.kernel.org/cgit/linux/kernel/git/torvalds/linux.git/commit/?id=7ada876a8703f23befbb20a7465a702ee39b1704

Acknowledgements:

The security impact of this issue was discovered by Mateusz Guzik of Red Hat.

Comment 2 Petr Matousek 2014-05-05 18:08:14 UTC
Statement:

This issue does not affect the Linux kernel packages as shipped with Red Hat Enterprise Linux 5 and Red Hat Enterprise MRG-2.

Future Linux kernel updates for Red Hat Enterprise Linux 6 may address this issue.

Comment 5 Martin Prpič 2014-09-05 11:58:18 UTC
IssueDescription:

A flaw was found in the way the Linux kernel's futex subsystem handled reference counting when requeuing futexes during futex_wait(). A local, unprivileged user could use this flaw to zero out the reference counter of an inode or an mm struct that backs up the memory area of the futex, which could lead to a use-after-free flaw, resulting in a system crash or, potentially, privilege escalation.

Comment 6 errata-xmlrpc 2014-09-09 17:56:25 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1167 https://rhn.redhat.com/errata/RHSA-2014-1167.html

Comment 7 errata-xmlrpc 2014-10-07 16:31:53 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.4 EUS - Server and Compute Node Only

Via RHSA-2014:1365 https://rhn.redhat.com/errata/RHSA-2014-1365.html

Comment 8 errata-xmlrpc 2014-10-30 17:22:23 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6.2 AUS

Via RHSA-2014:1763 https://rhn.redhat.com/errata/RHSA-2014-1763.html


Note You need to log in before you can comment on or make changes to this bug.